EDIT - bug #9435

Error when deleting without saving
02/01/2021 07:02 AM - Katja Luther

Status: New Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.45

Severity: normal Found in Version:

Description

mail WGB:

Hallo,

beim Ldschen ist u.a. Fehler aufgetreten (ich hatte nicht vorher gespeichert, das funktionierte jetzt ganz gut und lie3 den Fokus auch
dort, wo er war — beim Speichern rutschte die Liste sonst immer auf den Anfang, wenn man nicht vorher den Fokus nochmal gesetzt
hatte).

HG

w

last remote method : http://api.cybertaxonomy.org:80/flora-cuba/remoting/reference.service
last remote request client time : 2021-01-29T15:30:56.222
last remote request response header time : Fri, 29 Jan 2021 15:30:56 GMT
client error time : 2021-01-29T15:31:04.324
login : w.berendsohn
editor version : 5.19.0
server : api.cybertaxonomy.org (cybertaxonomy.org) / flora-cuba
schema version : 5.18.6.0.20201124
os : Windows 10 10.0 amdé64
java : 1.8.0_251
java.util.ConcurrentModificationException: Cannot begin a new event while another event is in prog
ress by thread, Worker-45

at ca.odell.glazedlists.event.ListEventAssembler.beginEvent (ListEventAssembler. jav
a:100)

at ca.odell.glazedlists.event.ListEventAssembler.beginEvent (ListEventAssembler. jav
a:78)

at ca.odell.glazedlists.SortedList.listChanged(SortedList. java:232)

at ca.odell.glazedlists.event.ListEventAssembler$ListEventFormat.fire (ListEventAss
embler.java:424)

at ca.odell.glazedlists.event.ListEventAssembler$ListEventFormat.fire (ListEventAss
embler. java:421)

at ca.odell.glazedlists.event.SequenceDependenciesEventPublisher$SubjectAndListene
r.firePendingEvent (SequenceDependenciesEventPublisher. java:445)

at ca.odell.glazedlists.event.SequenceDependenciesEventPublisher.fireEvent (Sequenc
eDependenciesEventPublisher. java:344)

at ca.odell.glazedlists.event.ListEventAssembler.commitEvent (ListEventAssembler. ja
va:317)

at ca.odell.glazedlists.BasicEventList.clear (BasicEventList. java:206)

at eu.etaxonomy.taxeditor.bulkeditor.input.AbstractBulkEditorInput.performSearch (A
bstractBulkEditorInput. java:252)

at eu.etaxonomy.taxeditor.bulkeditor.ed4.BulkEditorE4Composite.performSearch (BulkEd
itorE4Composite.java:371)

at eu.etaxonomy.taxeditor.bulkeditor.ed4.BulkEditorE4Composite.performSearch (BulkEd
itorE4Composite.java:362)

at eu.etaxonomy.taxeditor.bulkeditor.ed4.BulkEditorSearchE4.updateEditorInput (BulkE
ditorSearchE4. java:206)

at eu.etaxonomy.taxeditor.bulkeditor.ed.BulkEditorSearchE4$1.widgetSelected (BulkEd
itorSearchE4. java:93)

at org.eclipse.swt.widgets.TypedListener.handleEvent (TypedListener. java:249)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1079)
swt.widgets.Display.runDeferredEvents (Display. java:4236)
swt.widgets.Display.readAndDispatch (Display. java:3824)
ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderin

core.databinding.observable.Realm.runWithDefault (Realm. java:336)
e4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingE

e4.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. jav

ui.internal.Workbench$5.run (Workbench. java:693)
core.databinding.observable.Realm.runWithDefault (Realm. java:336)
ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)
ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

eu.etaxonomy.taxeditor.Application.start (Application. java:20)

org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196
core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (Ecl

core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppla

core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
NativeMethodAccessorImpl.invokeO (Native Method)
NativeMethodAccessorImpl.invoke (Unknown Source)
DelegatingMethodAccessorImpl.invoke (Unknown Source)

java.lang.reflect.Method.invoke (Unknown Source)
org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)
org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)
org.eclipse.equinox.launcher.Main.run(Main.java:1519)

das ist noch 6fters aufgetreten, ich glaube, wenn man mehrere nicht durchgéngige Eintrage in der Liste auswahlt, nicht vorher
gespeichert hat, und dann Delete wahlt.

History

#1 - 02/01/2021 07:03 AM - Katja Luther

- Target version changed from Unassigned CDM tickets to Release 5.21

#2 - 03/10/2021 02:49 PM - Andreas Miuller

- Target version changed from Release 5.21 to Release 5.22

#3 - 04/19/2021 04:53 PM - Katja Luther

- Target version changed from Release 5.22 to Release 5.45
